OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.FogOffset

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetSGIXFogOffset :: MonadIO m => m Bool
- gl_SGIX_fog_offset :: Bool
- gl_FOG_OFFSET_SGIX :: GLenum
- gl_FOG_OFFSET_VALUE_SGIX :: GLenum

# Extension Support

glGetSGIXFogOffset :: MonadIO m => m Bool

Is the SGIX_fog_offset extension supported?

gl_SGIX_fog_offset :: Bool

Is the SGIX_fog_offset extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXFogOffset` in those cases instead.

# Enums

gl_FOG_OFFSET_SGIX :: GLenum

gl_FOG_OFFSET_VALUE_SGIX :: GLenum